package com.reyun.saas.web.aop;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * log annotation
 * <p>
 * use:在方法上打上 @Log("log的描述")
 * 在控制台看到对应数据,后面改为入库操作
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Log {
    /**
     * 增1 删2 改3 查4 登陆5 登出6 导入7 导出8， 默认0
     */
    int value() default 0;


    /**
     * 模块
     *  成员与权限1 应用管理2 渠道管理3 rat白名单管理4 工单中心5 数据看板6 数据中心7 预警中心8 合作项目openApi9
     */
    int type() default 1;

    /**
     * 保存到数据库
     *
     */
    boolean insertDB() default false;

    /**
     * 接口的描述
     */
    String description() default "未知";
}
